# Conversions und Events

Hier kannst du eine detaillierte Übersicht mit Beispieldaten finden, welche Conversions und Events mit welchen Daten zu Google Ads übertragen werden.

## Add to cart <a href="#add-to-cart" id="add-to-cart"></a>

Conversion-Tracking:

```
{
    'send_to': `conversion-id/conversion-label`,
    'value': 9.99,
    'currency': 'EUR'
}
```

Dynamisches Remarketing:

```
{
    'send_to': `conversion-id`,
    'value': 9.99,
    'currency': 'EUR',
    'items': [
        {
            'google_business_vertical': 'retail',
            'id': 'SW-123456',
            'name': 'Jeans',
            'price': 9.99,
            'currency': 'EUR',
            'quantity': 1
        }
    ]
}

```

## Begin checkout <a href="#begin-checkout" id="begin-checkout"></a>

Conversion-Tracking:

```
{
    'send_to': `conversion-id/conversion-label`,
    'value': 9.99,
    'currency': 'EUR'
}

```

## Checkout progress <a href="#checkout-progress" id="checkout-progress"></a>

Conversion-Tracking:

```
{
    'send_to': `conversion-id/conversion-label`,
    'value': 9.99,
    'currency': 'EUR'
}
```

## Login <a href="#login" id="login"></a>

Conversion-Tracking:

```
{
    'send_to': `conversion-id/conversion-label`,
}
```

## Purchase <a href="#purchase" id="purchase"></a>

Conversion-Tracking:

```
{
    'send_to': `conversion-id/conversion-label`,
    'value': 9.99,
    'currency': 'EUR'
}
```

Dynamisches Remarketing:

```
{
    'send_to': `conversion-id`,
    'transaction_id': 'SW-123456',
    'value': 10,
    'currency': 'EUR',
    'tax': 1.9,
    'shipping': 0,
    'affiliation': 'facebook/post',
    'coupon': 'DISCOUNT-20',
    'items': [
        {
            'google_business_vertical': 'retail',
            'id': 'SW-123456',
            'name': 'Jeans',
            'price': 9.99,
            'currency': 'EUR',
            'quantity': 1
        }
    ]
}
```

## Remove from cart <a href="#remove-from-cart" id="remove-from-cart"></a>

Conversion-Tracking:

```
{
    'send_to': `conversion-id/conversion-label`,
    'value': 9.99,
    'currency': 'EUR'
}
```

## Search <a href="#search" id="search"></a>

Conversion-Tracking:

```
{
    'send_to': `conversion-id/conversion-label`,
}
```

## Sign up <a href="#sign-up" id="sign-up"></a>

Conversion-Tracking:

```
{
    'send_to': `conversion-id/conversion-label`,
}
```

## View item <a href="#view-item" id="view-item"></a>

Conversion-Tracking:

```
{
    'send_to': `conversion-id/conversion-label`,
    'value': 9.99,
    'currency': 'EUR'
}
```

Dynamisches Remarketing:

```
{
    'send_to': `conversion-id`,
    'value': 9.99,
    'currency': 'EUR',
    'items': [
        {
            'google_business_vertical': 'retail',
            'id': 'SW-123456',
            'name': 'Jeans',
            'price': 9.99,
            'currency': 'EUR',
            'quantity': 1
        }
    ]
}
```

## View item list <a href="#view-item-list" id="view-item-list"></a>

Conversion-Tracking:

```
{
    'send_to': `conversion-id/conversion-label`,
    'value': 9.99,
    'currency': 'EUR'
}
```

Dynamisches Remarketing:

```
{
    'send_to': `conversion-id`,
    'value': 10,
    'currency': 'EUR',
    'items': [
        {
            'google_business_vertical': 'retail',
            'id': 'SW-123456',
            'name': 'Jeans',
            'price': 9.99,
            'currency': 'EUR',
            'quantity': 1
        }
    ]
}
```

## View product search results <a href="#view-product-search-results" id="view-product-search-results"></a>

Conversion-Tracking:

```
{
    'send_to': `conversion-id/conversion-label`,
    'value': 9.99,
    'currency': 'EUR'
}
```

Dynamisches Remarketing:

```
{
    'send_to': `conversion-id`,
    'search_term': 'jeans',
    'items': [
        {
            'google_business_vertical': 'retail',
            'id': 'SW-123456',
            'name': 'Jeans',
            'price': 9.99,
            'currency': 'EUR',
            'quantity': 1
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shop-studio.io/shopware/de/erweiterungen/google-ads-cloud/conversions-und-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
